ChangeSet 1.1414, 2003/09/02 16:54:01-07:00, greg@kroah.com

[PATCH] USB: fix data toggle problem for pl2303 driver.


 drivers/usb/serial/pl2303.c |    3 +++
 1 files changed, 3 insertions(+)


diff -Nru a/drivers/usb/serial/pl2303.c b/drivers/usb/serial/pl2303.c
--- a/drivers/usb/serial/pl2303.c	Fri Sep  5 17:59:38 2003
+++ b/drivers/usb/serial/pl2303.c	Fri Sep  5 17:59:38 2003
@@ -404,6 +404,9 @@
 		
 	dbg("%s -  port %d", __FUNCTION__, port->number);
 
+	usb_clear_halt(serial->dev, port->write_urb->pipe);
+	usb_clear_halt(serial->dev, port->read_urb->pipe);
+
 #define FISH(a,b,c,d)								\
 	result=usb_control_msg(serial->dev, usb_rcvctrlpipe(serial->dev,0),	\
 			       b, a, c, d, buf, 1, 100);			\
